specutils (1.19.0-2) unstable; urgency=medium

  * Ignore AstropyDeprecationWarnings during tests (Closes: #1088726)

 -- Ole Streicher <olebole@debian.org>  Mon, 02 Dec 2024 14:46:12 +0100

specutils (1.19.0-1) unstable; urgency=medium

  * New upstream version 1.19.0

 -- Ole Streicher <olebole@debian.org>  Tue, 05 Nov 2024 21:30:59 +0100

specutils (1.18.0-1) unstable; urgency=medium

  * New upstream version 1.18.0

 -- Ole Streicher <olebole@debian.org>  Thu, 17 Oct 2024 09:32:39 +0200

specutils (1.17.0-1) unstable; urgency=medium

  * New upstream version 1.17.0
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 04 Oct 2024 21:07:22 +0200

specutils (1.16.0-1) unstable; urgency=medium

  * New upstream version 1.16.0
  * Drop Disable-last-assert-in-test_moment_cube-to-resolve-FTBFS:
    applied upstream

 -- Ole Streicher <olebole@debian.org>  Fri, 09 Aug 2024 13:43:49 +0200

specutils (1.15.0-2) unstable; urgency=medium

  * Remove leftover ecsv file from built time test

 -- Ole Streicher <olebole@debian.org>  Wed, 01 May 2024 20:36:20 +0200

specutils (1.15.0-1) unstable; urgency=medium

  * New upstream version 1.15.0
  * Push Standards-Version to 4.7.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Wed, 01 May 2024 19:41:16 +0200

specutils (1.14.0-1) unstable; urgency=medium

  * New upstream version 1.14.0

 -- Ole Streicher <olebole@debian.org>  Tue, 16 Apr 2024 19:52:40 +0200

specutils (1.13.0-1) unstable; urgency=medium

  * New upstream version 1.13.0
  * Rediff patches
  * Remove FITS files left-over from build time test

 -- Ole Streicher <olebole@debian.org>  Mon, 19 Feb 2024 22:45:41 +0100

specutils (1.12.0-1) unstable; urgency=medium

  * New upstream version 1.12.0
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Tue, 17 Oct 2023 20:58:47 +0200

specutils (1.11.0-2) unstable; urgency=medium

  * Remove toplevel conftest.py. Closes: #1042254
  * Ignore asdf spectrum related failures

 -- Ole Streicher <olebole@debian.org>  Tue, 08 Aug 2023 11:25:58 +0200

specutils (1.11.0-1) unstable; urgency=medium

  * New upstream version 1.11.0
  * Rediff patches. Drop patches applied upstream.

 -- Ole Streicher <olebole@debian.org>  Wed, 21 Jun 2023 22:31:22 +0200

specutils (1.9.1-1) unstable; urgency=medium

  * New upstream version 1.9.1
  * Don't search in doctests in __init__.py (Closes: #1026504)
  * Push Standards-Version to 4.6.2, no changes needed

 -- Ole Streicher <olebole@debian.org>  Wed, 04 Jan 2023 10:21:16 +0100

specutils (1.9.0-2) unstable; urgency=medium

  * Ignore all 'ignored value' runtime warnings

 -- Ole Streicher <olebole@debian.org>  Wed, 26 Oct 2022 09:55:25 +0200

specutils (1.9.0-1) unstable; urgency=medium

  * New upstream version 1.9.0
  * Rediff patches
  * Adjust minversions of build dependencies

 -- Ole Streicher <olebole@debian.org>  Tue, 25 Oct 2022 18:10:02 +0200

specutils (1.8.1-1) unstable; urgency=medium

  * New upstream version 1.8.1
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 19 Sep 2022 14:49:47 +0200

specutils (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0
  * Rediff patches
  * Push Standards-Version to 4.6.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Wed, 24 Aug 2022 22:43:53 +0200

specutils (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0
  * Update build deps; apply build profiles
  * Mark test that uses remote data
  * Don't turn deprecation warnings into errors

 -- Ole Streicher <olebole@debian.org>  Fri, 25 Feb 2022 08:46:54 +0100

specutils (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0

 -- Ole Streicher <olebole@debian.org>  Mon, 31 Jan 2022 12:30:00 +0100

specutils (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0. Closes: #1000603
  * Disable last assert in test_moment_cube to resolve FTBFS on i386

 -- Ole Streicher <olebole@debian.org>  Thu, 02 Dec 2021 08:26:19 +0100

specutils (1.4.1-1) unstable; urgency=medium

  * New upstream version 1.4.1
  * Add min version dependency for ndcube

 -- Ole Streicher <olebole@debian.org>  Mon, 20 Sep 2021 08:02:11 +0200

specutils (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * New build dependency python3-ndcube

 -- Ole Streicher <olebole@debian.org>  Wed, 15 Sep 2021 14:08:58 +0200

specutils (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1
  * Rediff patches

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

 -- Ole Streicher <olebole@debian.org>  Mon, 30 Aug 2021 13:46:32 +0200

specutils (1.3-1) unstable; urgency=medium

  * New upstream version 1.3
  * Rediff patches
  * Push Standards-Version to 4.6.0. No changes needed
  * Update build dependencies and rules
  * Handle astropy 4.3 `PhysicalType`s

 -- Ole Streicher <olebole@debian.org>  Tue, 24 Aug 2021 08:47:45 +0200

specutils (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1
  * Rediff patches
  * Push Standards-Version to 4.5.1. No changes needed
  * Fix flux comparison failure for newer Astropy versions (Closes: #976537)

 -- Ole Streicher <olebole@debian.org>  Sat, 06 Feb 2021 15:39:05 +0100

specutils (1.1-2) unstable; urgency=medium

  * Remove unnecessary spectral axis reshaping that was causing test failures

 -- Ole Streicher <olebole@debian.org>  Sat, 31 Oct 2020 11:04:50 +0100

specutils (1.1-1) unstable; urgency=low

  * New upstream version 1.1. Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 18 Sep 2020 14:42:10 +0200

specutils (1.0-2) unstable; urgency=medium

  * Push dh-compat to 13
  * Add "Rules-Requires-Root: no" to d/control
  * Remove unused and wrongly placed test source. Closes: #963431

 -- Ole Streicher <olebole@debian.org>  Wed, 01 Jul 2020 17:34:35 +0200

specutils (1.0-1) unstable; urgency=low

  * New upstream version 1.0. Rediff patches
  * Push Standards-Version to 4.5.0. No changes needed
  * Remove unnecessary versioned build dependency
  * Newline at end of d/clean
  * Remove unused paragraphs in d/copyright

 -- Ole Streicher <olebole@debian.org>  Mon, 23 Mar 2020 12:22:04 +0100

specutils (0.7-2) unstable; urgency=low

  * Replace comparison with float by assert_almost_equal

 -- Ole Streicher <olebole@debian.org>  Mon, 06 Jan 2020 20:45:58 +0100

specutils (0.7-1) unstable; urgency=low

  * New upstream version 0.7. Rediff patches
  * Push Standards-Version to 4.4.1. No changes needed
  * Adjust Build-Depends versions
  * Mark failing tests as xfail

 -- Ole Streicher <olebole@debian.org>  Mon, 06 Jan 2020 17:26:50 +0100

specutils (0.6-2) unstable; urgency=low

  * Use assert_almost_equal in test_template_comparison.py

 -- Ole Streicher <olebole@debian.org>  Sat, 21 Sep 2019 16:25:06 +0200

specutils (0.6-1) unstable; urgency=low

  * Add ASCL id to d/u/metadata
  * New upstream version 0.6
  * Push Standards-Version to 4.4.0. No changes required.
  * Remove d/compat
  * Add Depends: python3-astropy (>= 3.1~)

 -- Ole Streicher <olebole@debian.org>  Sat, 21 Sep 2019 14:25:59 +0200

specutils (0.5.2-1) unstable; urgency=low

  * Add gitlab-ci.yml
  * Push compat to 12
  * New upstream version 0.5.2
  * Drop Uncertainty-estimation-fix.patch: applied upstream

 -- Ole Streicher <olebole@debian.org>  Thu, 07 Feb 2019 09:07:39 +0100

specutils (0.5.1-5) unstable; urgency=medium

  * Uncertainty estimation fix abd re-enable unit conversion test

 -- Ole Streicher <olebole@debian.org>  Tue, 15 Jan 2019 14:14:12 +0100

specutils (0.5.1-4) unstable; urgency=medium

  * Completely remove failing subtest

 -- Ole Streicher <olebole@debian.org>  Tue, 01 Jan 2019 20:33:30 +0100

specutils (0.5.1-3) unstable; urgency=medium

  * Don't fail on unit conversion during test
  * Push Standards-Version to 4.3.0. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Mon, 31 Dec 2018 14:33:07 +0100

specutils (0.5.1-2) unstable; urgency=low

  * Add matplotlib dependency for CI tests

 -- Ole Streicher <olebole@debian.org>  Wed, 05 Dec 2018 13:55:09 +0100

specutils (0.5.1-1) unstable; urgency=low

  * New upstream version 0.5.1
  * Remove remote access patch: applied upstream
  * Replace patch of setup.py with cmdline arg

 -- Ole Streicher <olebole@debian.org>  Tue, 04 Dec 2018 08:58:23 +0100

specutils (0.5-1) unstable; urgency=low

  * New upstream version 0.5. Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 23 Nov 2018 15:48:27 +0100

specutils (0.4-1) unstable; urgency=low

  * Add dev versions to d/watch version mangling
  * New upstream version 0.4. Rediff patches
  * Add version.py to d/clean
  * Update dependencies; remove Python 2 support
  * Push Standards-Versionto 4.2.1. No changes required
  * Update d/copyright for newer astropy_helpers version

 -- Ole Streicher <olebole@debian.org>  Thu, 27 Sep 2018 15:24:28 +0200

specutils (0.2.2-3) unstable; urgency=low

  * Push Standards-Version to 4.2.0. Change d/watch URL to https
  * recommend python3-scipy, not python-scipy, for python3-specutils
    (Closes: #906103)

 -- Ole Streicher <olebole@debian.org>  Tue, 14 Aug 2018 13:16:45 +0200

specutils (0.2.2-2) unstable; urgency=low

  * Propagate CI test exit code
  * Update VCS fields to use salsa.d.o
  * Push Standards-Version to 4.2.0. Change remaining URLs to https
  * Push compat to 11

 -- Ole Streicher <olebole@debian.org>  Mon, 13 Aug 2018 17:37:29 +0200

specutils (0.2.2-1) unstable; urgency=low

  * Imported Upstream version 0.2.2

 -- Ole Streicher <olebole@debian.org>  Tue, 02 Aug 2016 11:25:49 +0200

specutils (0.2.1-1) unstable; urgency=low

  * Imported Upstream version 0.2.1

 -- Ole Streicher <olebole@debian.org>  Fri, 15 Jul 2016 11:24:29 +0200

specutils (0.2.0-4) unstable; urgency=low

  * Allow stderr output in CI tests

 -- Ole Streicher <olebole@debian.org>  Wed, 22 Jun 2016 14:35:15 +0200

specutils (0.2.0-3) unstable; urgency=medium

  * Use ConfigParser module instead of the one embedded in
    distutils.config. Closes: #825369
  * Update Standards-Version to 3.9.8. No changes needed

 -- Ole Streicher <olebole@debian.org>  Thu, 26 May 2016 15:54:52 +0200

specutils (0.2.0-2) unstable; urgency=low

  * Add CI tests and d/upstream/metadata

 -- Ole Streicher <olebole@debian.org>  Wed, 23 Mar 2016 13:14:06 +0100

specutils (0.2.0-1) unstable; urgency=low

  * Initial release. (Closes: #806694)

 -- Ole Streicher <olebole@debian.org>  Tue, 22 Mar 2016 14:01:09 +0100
